Imports System
Imports System.ComponentModel
Imports System.Collections.Generic
Imports System.Diagnostics
Imports System.Text

Imports DevExpress.ExpressApp
Imports DevExpress.ExpressApp.Actions
Imports DevExpress.Persistent.Base
Imports DevExpress.ExpressApp.SystemModule

Public Class CustomersMeeting_VC
    Inherits DevExpress.ExpressApp.ViewController

    Public Sub New()
        MyBase.New()
        InitializeComponent()
        RegisterActions(components)
    End Sub
    Protected Overrides Sub OnActivated()
        MyBase.OnActivated()
        If View.Id = "CustomersMeeting_DetailView_Support" Then
            Frame.GetController(Of DetailViewController).SaveAction.Active.SetItemValue("", False)
            Frame.GetController(Of DetailViewController).SaveAndCloseAction.Active.SetItemValue("", False)
        End If
    End Sub
    Protected Overrides Sub OnDeactivated()
        MyBase.OnDeactivated()
        If View.Id = "CustomersMeeting_DetailView_Support" Then
            Frame.GetController(Of DetailViewController).SaveAction.Active.SetItemValue("", True)
            Frame.GetController(Of DetailViewController).SaveAndCloseAction.Active.SetItemValue("", True)
        End If
    End Sub
End Class
